@echo off
chcp 65001 >nul
title 报告服务停止程序

:: 设置控制台颜色
color 0C

echo ======================================
echo            报告服务停止程序
echo ======================================
echo.

:: 检查 PM2 是否运行
where pm2 >nul 2>nul
if %errorlevel% neq 0 (
    echo [错误] PM2 未安装，服务可能未在运行
    pause
    exit /b
)

:: 检查服务是否在运行
call pm2 list | findstr "report-service" >nul
if %errorlevel% neq 0 (
    echo [信息] 服务当前未运行
    pause
    exit /b
)

:: 停止服务
echo [信息] 正在停止服务...
call pm2 stop report-service
call pm2 delete report-service

echo.
echo [成功] 服务已停止！
echo ======================================
pause 